<template>
  <div>
    <layout_table
        ref="projectTable"
        :layout="tablecols"
        :data="list"
        :opwidth="200"
        :custom="false"
        :height="320"
        :checkbox="true"
    >
    </layout_table>
  </div>
</template>

<script>
import layout_table from '../components/table'
export default {
  name: "product",
  props:["sa_quotedpriceid"],
  data(){
    return {
      tablecols:[],
      list:[],
    }
  },
  methods:{
    async listData(){
      const res = await this.$api.requested({
        "id": 20221021095503,
        "version":1,
        "content": {
          "sa_quotedpriceid":this.sa_quotedpriceid     //sat_notice_classid<=0时 为新增
        }
      })
      this.list = res.data
    }
  },
  components:{layout_table},
  created() {
    this.tablecols = this.tool.tabelCol(this.$route.name).commodityDetailsTable.tablecols
  }
}
</script>

<style scoped>

</style>